cross
Foswiki.org is now running Foswiki 2.1.3 Beta 1. Please open a task for any issues.

Foswiki archived release

alert This release is superseded by Foswiki 2.1.2. Visit the download page.

See Release Dates for the complete list of available releases.

Highlights of this release

  • Compatibility with Foswiki 2.0 extensions
  • Compatibility with new Perl and CPAN releases.

Foswiki 1.1.10 is a compatibility release for sites unable to upgrade to Foswiki 2.0. It contains fixes for Perl and CPAN compatibility issues that can arise after a system upgrade. It has been tested with perl versions 5.8.8 thru 5.23. It also contains backports of important Foswiki 2.0 features necessary for compatibility with extensions released for Foswiki 2.0.

This release refreshes all default extensions to the version shipped with Foswiki 2.0, with the exception of TopicUserMappingContrib and PatternSkin. The new version of these extensions are not compatible with Foswiki 1.1.

Foswiki 1.1.10 does not contain fixes for security issues fixed in the Foswiki 2.0.x releases. Upgrade to the latest Foswiki release is strongly recommended.

Download Foswiki 1.1.10 from sourceforge

GPG Signatures and MD5 checksums are provided for verifying the integrity of the files for the primary download packages.

File GPG MD5 Description
download Foswiki-1.1.10.tgz GPG MD5 tar gz version of Foswiki
download Foswiki-1.1.10.zip GPG MD5 zip version of Foswiki

Upgrade packages

If you already have an earlier version of Foswiki 1.1.X installed, you can extract an upgrade package on top of the installation. The major.minor part of the release should not be changed by an upgrade package.

ALERT! Upgrade packages must not be used to upgrade older releases.

File GPG MD5 Description
download Foswiki-upgrade-1.1.10.tgz GPG MD5 upgrade tar gz version of Foswiki
download Foswiki-upgrade-1.1.10.zip GPG MD5 upgrade zip version of Foswiki

%STARTSECTION{"download-none"}%
<blockquote class="foswikiAlert"> *This release has not been built yet!*  This is a draft of the release announcement.  If you want an early start to testing, see Development.GitBasedInstall.</blockquote>
%ENDSECTION{"download-none"}%

%STARTSECTION{"download-topic"}%
%INCLUDE{"Download.FoswikiReleaseViewTemplate" section="download"
  release="%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  url="%PUBURLPATH%/%BASEWEB%/%BASETOPIC%"
  upgraded=""
  upgrade=""
}%
%ENDSECTION{"download-topic"}%

%STARTSECTION{"download-topic-upgrade"}%
%INCLUDE{"Download.FoswikiReleaseViewTemplate" section="download"
  release="%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  url="%PUBURLPATH%/%BASEWEB%/%BASETOPIC%"
  upgraded="upgrade-"
  upgrade="upgrade"
}%
%ENDSECTION{"download-topic-upgrade"}%

%STARTSECTION{"download-sourceforge"}%
%INCLUDE{"Download.FoswikiReleaseViewTemplate" section="download"
  release="%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  url="http://sourceforge.net/projects/foswiki/files/foswiki/%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  upgraded=""
  upgrade=""
}%
%ENDSECTION{"download-sourceforge"}%

%STARTSECTION{"download-sourceforge-upgrade"}%
%INCLUDE{"Download.FoswikiReleaseViewTemplate" section="download"
  release="%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  url="http://sourceforge.net/projects/foswiki/files/foswiki/%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  upgraded="upgrade-"
  upgrade="upgrade"
}%
%ENDSECTION{"download-sourceforge-upgrade"}%

%STARTSECTION{"download-github"}%
%INCLUDE{"Download.FoswikiReleaseViewTemplate" section="download"
  release="%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  url="https://github.com/foswiki/distro/releases/download/%FORMFIELD{"ReleaseTag" topic="%BASETOPIC%"}%"
  upgraded=""
  upgrade=""
}%
%ENDSECTION{"download-github"}%

%STARTSECTION{"download-github-upgrade"}%
%INCLUDE{"Download.FoswikiReleaseViewTemplate" section="download"
  release="%FORMFIELD{"Release" topic="%BASETOPIC%"}%"
  url="https://github.com/foswiki/distro/releases/download/%FORMFIELD{"ReleaseTag" topic="%BASETOPIC%"}%"
  upgraded="upgrade-"
  upgrade="upgrade"
}%
%ENDSECTION{"download-github-upgrade"}%

%STARTSECTION{"download"}%
%TABLE{sort="off"}%
| *File* | *GPG* | *MD5* | *Description* |
| [[%url%/Foswiki-%upgraded%%release%.tgz][%ICON{download}% Foswiki-%upgraded%%release%.tgz]] | [[%url%/Foswiki-%upgraded%%release%.tgz.asc][GPG]] | [[%url%/Foswiki-%upgraded%%release%.md5][MD5]] | %upgrade% tar gz version of Foswiki |
| [[%url%/Foswiki-%upgraded%%release%.zip][%ICON{download}% Foswiki-%upgraded%%release%.zip]] | [[%url%/Foswiki-%upgraded%%release%.zip.asc][GPG]] | [[%url%/Foswiki-%upgraded%%release%.md5][MD5]] | %upgrade% zip version of Foswiki |%IF{"'%upgraded%'='' and '%FORMFIELD{"VMImage" topic="%BASETOPIC%"}%'='1'" then="
| [[%url%/Foswiki-%release%-vmware.%FORMFIELD{"VMFormat" topic="%BASETOPIC%"}%][%ICON{download}% Foswiki-%release%-vmware.%FORMFIELD{"VMFormat" topic="%BASETOPIC%"}%]] | [[%url%/Foswiki-%release%-vmware.%FORMFIELD{"VMFormat" topic="%BASETOPIC%"}%.asc][GPG]] | [[%url%/Foswiki-%release%-vmware.md5][MD5]] | [[Support.VirtualMachineImages][VM Image (instructions)]] |"}%%ENDSECTION{"download"}%

%STARTSECTION{"upgrade-header"}%
---+++!! Upgrade packages

%IF{"'%BASETOPIC%'/UpgradeFrom=''" 
   else="These packages can be used to upgrade __Foswiki Release %FORMFIELD{"UpgradeFrom" topic="%BASETOPIC%"}% or newer__. See [[#Upgrade_Instructions]] for further information"
   then="If you already have an earlier version of Foswiki %FORMFIELD{"ReleaseMajor" topic="%BASETOPIC%"}%.%FORMFIELD{"ReleaseMinor" topic="%BASETOPIC%"}%.X installed, you can extract an upgrade package on top of the installation. The =major.minor= part of the release should not be changed by an upgrade package."}%

%X% Upgrade packages must not be used to upgrade older releases.

%ENDSECTION{"upgrade-header"}%

Other downloads/installers

None at this time

Getting help & providing feedback

Don't forget to use the upgrade or installation guides. If you need help, there are several options:

We want to hear from you! Especially if you have noticed a bug, have some ideas we could use, or just want to contribute:

Release Details

Foswiki 1.1.10 ships with the same extensions released with Foswiki 2.0.3, with the exception of PatternSkin and TopicUserMappingContrib. The new versions of these extensions are not compatible with Foswiki 1.1.x.

Fixes

Item12001 Configure installs extension multiple times.
Item12832 Unhelpful error message for app using save script
Item13775 CGI::Param called in list context - Workaround for Foswiki 1.1.
Item13776 Perl 5.20 - 5.23 compatibility fixes for Fosiwiki 1.1.
Item13778 CGI -any pragma deprecated. Backport fixes to Foswiki 1.1
Item13789 Backport CLI fix for 1.1.x, AllowLoginName blocks admin CLI access.
Item13794 Backport fix to REST not to try to strike-one-validate when called from CLI.
Item13852 CommentPlugin should warn about COMMENT permissions.

Enhancements

Item13777 Backport URLPARAM encode and SEARCH decode changes from Foswiki 2.0.
Item13786 Implemement wildcard ACLs into 1.1.10.
Item13790 Backport i18n for extensions to 1.1.x.
Item13791 Backport CSS classes in script/link/style elements in zones for 1.1.x.
Item13792 Backport profiling api in Request.pm to 1.1.x.
Item13793 Backport %CALCULATE macro and other SpreadSheetPlugin features for 1.1.x.
Item13842 Backport Foswiki::Tables::* modules into Release 1.1.
Item13844 Sync master branch extensions into Release01x01 branch.

ACL Changes

Foswiki 1.1.10 backports the new wildcard ACL. ALLOW and DENY rules can now be set to "*" asterisk, which means always match. In Foswiki 2.0, this is used to deprecate the old "Empty" deny rule. Foswiki 1.1.10 still supports the empty deny rules, but also supports the "ALLOW *" for allow all.

SpreadSheetPlugin changes

The CALC and CALCULATE macros now encode < and > as entities, which prevents some paths used to insert script tags. If your user's topics require CALC or CALCULATE to generate HTML, then you must enable the following setting:
  • Set SPREADSHEETPLUGIN_ALLOWHTML=1
This setting can be set in the topic, web, user or site perferences.

Changes to login using URL parameters

All versions of foswiki previously allowed the username and password parameters to be provided on the URL. For ex: bin/view/Myweb/SomeTopic?username=JoeUser;password=SEcrET This has been changed to further restrict login.
  • username and password will only be accepted on POST type operations. a simple GET url with username and password will not accept the supplied credentials.
    • The previous behaviour can be restored by enabling $Foswiki::cfg{Session}{AcceptUserPwParamOnGET} in the configuration
  • username and password will only be accepted as login credentials on the view, viewauth and loginscripts.
    • Other scripts can be authorized by configuring $Foswiki::cfg{Session}{AcceptUserPwParam}

JQuery upgrade

This release ships with several upgraded versions of JQuery including:
  • jQuery 1.11.3,
  • jQuery-2.2.4
  • jQuery-ui-1.10.4

The default jQuery release is changed to version 2.2.4. It also replaces the deprecated JQuery Tooltip plugin with the new UI::Tooltip. Before upgrade, determine if any topics or plugins JQREQUIRE "tooltip". Those topics or plugins need to be upgraded to use the new UI::Tooltip. Upgraders should visit bin/configure and make the following changes to the Jquery configuration:
  • Update {JQueryPlugin}{JQueryVersion} to version 1.11.3
  • Disable {JQueryPlugin}{Plugins}{Tooltip}{Enabled} and
  • Enable {JQueryPlugin}{Plugins}{'UI::Tooltip'}{Enabled}
The following optional plugins:Extensions.ClassificationPlugin, HarvestPlugin, ImagePlugin, NatSkin, SolrPlugin are known to use tooltip and if used, will require an upgrade to the latest version during the 1.1.9 upgrade.

You might also start using jquery-2.2.4 to get the best performance and configure jQuery-1.10.1 to be served to old Internet Explorers automatically:
  • Update {JQueryPlugin}{JQueryVersion} to version 2.2.4
  • Set {JQueryPlugin}{JQueryVersionForOldIEs} to version 1.11.3

Upgrade package will include the Sandbox.WebHome topic

The topic creator script has been improved, and the Sandbox topic was included in the upgrade package. Normally WebHome topics are never shipped in an upgrade package.

Module version strings and new module dependency since 1.1.6

The Foswiki and default extension version strings have been changed from a developer oriented string Foswiki-1.1.5, Tue, 10 Apr 2012, build 14595, to a simple perl version string - "v1.1.6". The "RELEASE" string will continue to be more descriptive and can be displayed with a new macro %WIKIRELEASE%.

This adds a dependency on version 0.77 - the Perl module version class.
  • Sites using Perl 5.10.1 or newer have the correct version of version.
  • Sites on older versions of perl should install the latest version using CPAN or their system's package manager.

ALERT! Before upgrading, verify that the installed version of CPAN:version is at least version 0.77. If not, upgrade CPAN:version before attempting to upgrade Foswiki! For example:
 perl -Mversion -e 'print "$version::VERSION\n"'
0.9901

New setting needed for PatternSkin

If PatternSkin is installed on an older Foswiki, or the Foswiki-upgrade package is used to upgrade an existing Foswiki system, there is a new required setting that must be added to Main.SitePreferences.

   * Set PATTERNSKIN_JQUERY_THEME = PatternSkinTheme

The new System.DefaultPreferences topic shipped with the upgrade package does have this setting, but if you have customized you DefaultPreferences, then this needs to be added.

Also, you'll need to go through one save cycle of configure to register the new JQuery pattern theme in the configuration. (If configure reports no changes, make a minor change and save again, and configure will merge in the changed settings). Or edit the LocalSite.cfg file by hand and add

$Foswiki::cfg{JQueryPlugin}{Themes}{PatternSkinTheme}{Url} = '$Foswiki::cfg{PubUrlPath}/$Foswiki::cfg{SystemWebName}/PatternSkinTheme/jquery-ui.css';
$Foswiki::cfg{JQueryPlugin}{Themes}{PatternSkinTheme}{Enabled} = 1;

Other important things to know.

Most extensions released since Foswiki 1.1.6 have converted to formal perl version strings. version->declare('v1.1.6'). The PatchFoswikiContrib must be installed on older versions of Foswiki before installing any of these extensions on older Foswiki versions. Note that they have not been tested on Foswiki 1.0

Installation

Please refer to the INSTALL.html which can be found the downloaded tgz/zip. It can be also found on Foswiki.org in the System.InstallationGuide

Upgrade Instructions

In-place upgrade from any release prior to Foswiki 1.1.0 is not recommended. Older Foswiki installations should install Foswiki as a new release, configure, and then migrate data to the new installation.
  • See System.UpgradeGuide for details on upgrading from older versions of Foswiki
  • See System.SystemRequirements for the latest System Requirements.
  • Be sure to take a backup!
  • The upgrade packages excludes files "commonly" modified, for example, WebHome, WebPreferences, AdminGroup, etc. If your installation has modified other topics, or template files, those updates will be lost!
  • If you use tar, then you can extract the upgrade package on top of your installation by using:
    cd /var/www/foswiki
    tar --strip-components=1 -zxf /path/to/Foswiki-upgrade-2.0.x.tgz
    

License

  • This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
  • This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  • See the GNU General Public License for more details, published at http://www.gnu.org/copyleft/gpl.html

Release Details

Topic revision: r2 - 23 Nov 2015, GeorgeClark - This page was cached on 18 Jan 2017 - 16:07.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License